From: Sophie Brun <sophie@offensive-security.com>
Date: Tue, 25 Aug 2020 14:25:25 +0200
Subject: Improve test for autopkgtest

Last-Update: 2020-08-25


Import the gem salsa20 as standard usage: the test is also used by
autopkgtest where we want to test to installed gem / package, not the
source code
And the command:
require File.expand_path(File.join(File.dirname(__FILE__), "..", "lib", "salsa20"))
will fail because the path doesn't exist.
---
 test/salsa20_test.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/salsa20_test.rb b/test/salsa20_test.rb
index 3a3b1a7..0173528 100644
--- a/test/salsa20_test.rb
+++ b/test/salsa20_test.rb
@@ -1,4 +1,4 @@
-require File.expand_path(File.join(File.dirname(__FILE__), "..", "lib", "salsa20"))
+require 'salsa20'
 require 'minitest/autorun'
 
 class Salsa20Test < MiniTest::Test
